Bug 861616 - [abrt] synergy-1.4.10-1: Process /usr/bin/synergyc was killed by signal 11 (SIGSEGV)
[abrt] synergy-1.4.10-1: Process /usr/bin/synergyc was killed by signal 11 (S...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:afeaa3b9b9275df9b64bc9ec58a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 10:17 EDT by McGarrett
Modified: 2014-02-09 02:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.76 KB, text/plain)
2012-09-29 10:17 EDT, McGarrett
no flags Details
File: environ (1.29 KB, text/plain)
2012-09-29 10:17 EDT, McGarrett
no flags Details
File: backtrace (7.24 KB, text/plain)
2012-09-29 10:17 EDT, McGarrett
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: cgroup (136 bytes, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: maps (9.66 KB, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: dso_list (1.23 KB, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: build_ids (902 bytes, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: open_fds (136 bytes, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details
File: var_log_messages (468 bytes, text/plain)
2012-09-29 10:18 EDT, McGarrett
no flags Details

  None (edit)
Description McGarrett 2012-09-29 10:17:52 EDT
Version-Release number of selected component:
synergy-1.4.10-1

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 3
cmdline:        /usr/bin/synergyc -f --no-tray --debug NOTE --name SR2-Ancient 192.168.1.18:24800
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ??
: #1 CEventQueue::deleteTimer(CEventQueueTimer*)
: #2 CXWindowsScreenSaver::~CXWindowsScreenSaver()
: #3 CXWindowsScreen::ioErrorHandler(_XDisplay*)
: #4 _XIOError at XlibInt.c:1618
: #5 _XEventsQueued at xcb_io.c:365
: #6 XPending at Pending.c:55
: #7 CXWindowsEventQueueBuffer::isEmpty() const
: #8 CEventQueue::getEvent(CEvent&, double)
: #9 CEventQueue::loop()
Comment 1 McGarrett 2012-09-29 10:17:55 EDT
Created attachment 619054 [details]
File: core_backtrace
Comment 2 McGarrett 2012-09-29 10:17:57 EDT
Created attachment 619055 [details]
File: environ
Comment 3 McGarrett 2012-09-29 10:17:59 EDT
Created attachment 619056 [details]
File: backtrace
Comment 4 McGarrett 2012-09-29 10:18:01 EDT
Created attachment 619057 [details]
File: limits
Comment 5 McGarrett 2012-09-29 10:18:03 EDT
Created attachment 619058 [details]
File: cgroup
Comment 6 McGarrett 2012-09-29 10:18:06 EDT
Created attachment 619059 [details]
File: maps
Comment 7 McGarrett 2012-09-29 10:18:09 EDT
Created attachment 619060 [details]
File: dso_list
Comment 8 McGarrett 2012-09-29 10:18:11 EDT
Created attachment 619061 [details]
File: build_ids
Comment 9 McGarrett 2012-09-29 10:18:13 EDT
Created attachment 619062 [details]
File: open_fds
Comment 10 McGarrett 2012-09-29 10:18:15 EDT
Created attachment 619063 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-07-03 17:15:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 18:11:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Arnaud Lacombe 2014-02-09 02:07:30 EST
Still a problem on Fedora 20:

Core was generated by `synergyc -f 192.168.0.147'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000000000000021 in ?? ()
Missing separate debuginfos, use: debuginfo-install synergy-1.4.10-2.fc20.x86_64
(gdb) bt
#0  0x0000000000000021 in ?? ()
#1  0x00000000004647b8 in CEventQueue::deleteTimer(CEventQueueTimer*) ()
#2  0x0000000000447c09 in CXWindowsScreenSaver::~CXWindowsScreenSaver() ()
#3  0x0000000000447d19 in CXWindowsScreenSaver::~CXWindowsScreenSaver() ()
#4  0x000000000044357f in CXWindowsScreen::onError() ()
#5  0x00000000004435de in CXWindowsScreen::ioErrorHandler(_XDisplay*) ()
#6  0x000000310e84515e in _XIOError () from /lib64/libX11.so.6
#7  0x000000310e8432d3 in _XReply () from /lib64/libX11.so.6
#8  0x000000310e83ea2d in XSync () from /lib64/libX11.so.6
#9  0x0000000000448d5c in CXWindowsUtil::CErrorLock::install(void (*)(_XDisplay*, XErrorEvent*, void*), void*) ()
#10 0x0000000000447b3b in CXWindowsScreenSaver::clearWatchForXScreenSaver() ()
#11 0x0000000000447e6e in CXWindowsScreenSaver::watchForXScreenSaver() ()
#12 0x0000000000448002 in CXWindowsScreenSaver::setXScreenSaver(unsigned long) ()
#13 0x0000000000448740 in CXWindowsScreenSaver::handleXEvent(_XEvent const*) ()
#14 0x0000000000444f78 in CXWindowsScreen::handleSystemEvent(CEvent const&, void*) ()
#15 0x00000000004638fa in CEventQueue::dispatchEvent(CEvent const&) ()
#16 0x0000000000463864 in CEventQueue::loop() ()
#17 0x000000000043aee2 in CClientApp::mainLoop() ()
#18 0x0000000000439b33 in CClientApp::runInner(int, char**, ILogOutputter*, int (*)(int, char**)) ()
#19 0x0000000000439425 in CApp::run(int, char**) ()
#20 0x0000000000430975 in main ()

It happens when I log out from the active session under XFCE.

Note You need to log in before you can comment on or make changes to this bug.